<?php
/* $Id: perfs.php,v 1.2 2010/03/20 22:49:18 sarterm Exp $ */
header("Content-Type: text/html; charset=UTF-8");
include("../src/liensSponsos.cls.php");
ini_set("max_execution_time", 0);

$nbOccur = 1000;
$codeHTML = "<div class=\"corps\">

<p><img src=\"/vx/articles/26/.ssd_t.jpg\" alt=\"SSD\" style=\"float: right; margin: 0pt 0pt 1em 1em;\" title=\"SSD\"></p>


<p>Silverstone, spécialisés dans les boîtiers et accessoires pour boîtier, vient de lancer un nouvel accessoire assez original, à destination des possesseurs de SSD&nbsp;: le HDDBoost.</p>


<p><a href=\"/vx/actus/2010/02/05/silverstone-hddboost-1.jpg\" title=\"Silverstone HDDBoost\"><img src=\"/vx/actus/2010/02/05/.silverstone-hddboost-1_m.jpg\" alt=\"Silverstone HDDBoost\" style=\"display: block; margin: 0pt auto;\" title=\"Silverstone HDDBoost\"></a></p>


<p>S'installant dans une baie 3.5\", le HDDBoost offre une baie 2.5\" pour accueillir un SSD, un port SATA pour raccorder un disque dur et un port SATA pour le raccordement à la carte mère. Son contrôleur intégré va exposer l'ensemble disque dur + SSD comme une seule unité de stockage. Ainsi, sur les premiers Go de l'unité logique ainsi constituée, les lecture s'effectuent sur le SSD, tandis que les écritures s'effectuent sur le disque dur, afin de limiter l'usure du SSD, tout en profitant de ses performances en lecture. La synchronisation des deux s'effectue à chaque démarrage, par une recopie des premiers Go du disque dur vers le SSD.</p>

<p><a href=\"/vx/actus/2010/02/05/silverstone-hddboost-2.jpg\" title=\"Silverstone HDDBoost\"><img src=\"/vx/actus/2010/02/05/silverstone-hddboost-2.jpg\" alt=\"Silverstone HDDBoost\" style=\"display: block; margin: 0pt auto;\" title=\"Silverstone HDDBoost\"></a></p>


<p>Si le concept est intéressant, on peut toutefois se poser plusieurs questions sur son fonctionnement, et en particulier sur la façon dont il va se comporter lorsqu'on effectue une lecture après une écriture (la nouvelle lecture va-t-elle bien se faire à partir du disque dur, pour récupérer la version fraichement écrite ?). Par ailleurs, le choix de stocker sur le SSD une portion du disque choisie de façon totalement statique n'est pas forcément très judicieuse. Il aurait sans doute été bien plus efficace (mais aussi bien plus complexe) de choisir les données à stocker sur le SSD en fonction de la fréquence des accès.</p>


<p>L'appareil est heureusement proposé à un tarif relativement raisonnable (moins de 40€), ce qui aidera à faire passer la pilule en cas de résultat inférieur aux attentes...</p>
  </div>";

echo("<pre>\n");
$now = explode(' ',microtime());
$start = $now[0] + $now[1];

$obj = new IBDLiensSponsos();
for ($i = 0; $i < $nbOccur; $i++) {
    $obj->ajouteLiens($codeHTML, "", 3, 3);
}

$now = explode(' ',microtime());
$end = $now[0] + $now[1];
echo("**********\n");
echo("$i traitements à la suite : ".($end - $start)."\n");
echo("**********\n");
echo("Temps/traitement : ".(($end - $start)/$i)."\n");
echo("</pre>\n");

echo("<pre>\n");
$now = explode(' ',microtime());
$start = $now[0] + $now[1];

for ($i = 0; $i < $nbOccur; $i++) {
    $obj = new IBDLiensSponsos();
    $obj->ajouteLiens($codeHTML, "", 3, 3);
}

$now = explode(' ',microtime());
$end = $now[0] + $now[1];
echo("**********\n");
echo("$i traitements séparément : ".($end - $start)."\n");
echo("**********\n");
echo("Temps/traitement : ".(($end - $start)/$i)."\n");
echo("</pre>\n");
?>
